# config.py
#
# Copyright (C) 2014 Tim Marston <tim@edm.am>
#
# This file is part of stdhome (hereafter referred to as "this program").
# See http://ed.am/dev/stdhome for more information.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import ConfigParser
from file_matcher import FileMatcher
import the


class Config:


	def __init__( self ):
		self.symlinks = None
		self.ignores = None
		self.read_config( the.config_file )


	def read_config( self, config_file ):
		config = ConfigParser.SafeConfigParser( allow_no_value = True )
		config.read( config_file )
		if config.has_option( 'stdhome', 'home-dir' ):
			the.home_dir = config.get( 'stdhome', 'home-dir' )

		self.symlinks = FileMatcher( config_file, 'symlink' )
		self.ignores = FileMatcher( config_file, 'ignore' )
